interface UseElementFocusOptions {
    /** When the focus should be triggered */
    shouldFocus?: boolean;
    /** Delay in milliseconds to wait before focusing the element. */
    delay?: number;
    /** Focus on some special key press */
    triggerKey?: string;
    /** Scroll the element into view when focusing */
    scrollIntoView?: boolean | ScrollIntoViewOptions;
    /** List of external dependencies that trigger a re-evaluation of focus */
    dependencies?: unknown[];
    /** Applies tab index -1 to the element. Only needed for non-interactive elements */
    setTabIndex?: boolean;
}
type ElementOrRef = HTMLElement | null | React.RefObject<HTMLElement | null>;
declare const useElementFocus: (elementOrRef: ElementOrRef, { shouldFocus, delay, triggerKey, scrollIntoView, dependencies, setTabIndex }?: UseElementFocusOptions) => void;
export default useElementFocus;
//# sourceMappingURL=useElementFocus.d.ts.map